Bug 1097454 - games-menus not displayed under mate
Summary: games-menus not displayed under mate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-menus
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-13 22:10 UTC by Davide Repetto
Modified: 2014-07-03 13:46 UTC (History)
6 users (show)

Fixed In Version: mate-menus-1.6.0-7.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-24 23:21:41 UTC


Attachments (Terms of Use)

Description Davide Repetto 2014-05-13 22:10:00 UTC
Description of problem:
games-menus are not displayed under mate

Version-Release number of selected component (if applicable):
games-menus-0.3.2-10.fc20.noarch
mate-menus-libs-1.6.0-5.fc20.x86_64
mate-applets-1.6.2-1.fc20.x86_64

Comment 1 Wei-Lun Chao 2014-06-11 03:03:21 UTC
workaround:
cd /etc/xdg/menus
ln -s applications-merged mate-applications-merged

Comment 2 Wei-Lun Chao 2014-06-13 07:26:26 UTC
(In reply to Wei-Lun Chao from comment #1)
> workaround:
> cd /etc/xdg/menus
> ln -s applications-merged mate-applications-merged

Sorry, cause displayed in both main-menu and sub-menu :(

Comment 3 Hans de Goede 2014-06-20 13:31:21 UTC
games-menus strictly follows the freedesktop.org spec, and it has not been changed in years, so this sounds like a mate issue to me, changing component.

Comment 4 Fedora Update System 2014-06-20 15:33:34 UTC
mate-menus-1.6.0-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-menus-1.6.0-6.fc20

Comment 5 Fedora Update System 2014-06-20 15:33:42 UTC
mate-menus-1.6.0-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-menus-1.6.0-6.fc19

Comment 6 Wolfgang Ulbrich 2014-06-20 15:39:26 UTC
@ Hans,
done!
Could you pls add MATE to description of games-menu for rawhide/f21/f20?

Comment 7 Fedora Update System 2014-06-21 02:58:03 UTC
Package mate-menus-1.6.0-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-menus-1.6.0-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7567/mate-menus-1.6.0-6.fc20
then log in and leave karma (feedback).

Comment 8 Hans de Goede 2014-06-21 08:42:56 UTC
I've just done an updated games-menus package for rawhide, with the following change:

* Sat Jun 21 2014 Hans de Goede <hdegoede@redhat.com> - 0.3.2-12
- s/GNOME/MATE/ in the description as this package does not work with GNOME3,
  but does work with MATE (rhbz#1097454)

I do not consider this important enough to warrant an F-20 update.

Comment 9 Davide Repetto 2014-06-21 21:14:13 UTC
As it happened with the Wei-Lun Chao workaround, also with mate-menus-1.6.0-6.fc20 the games icons are still displayed both in the main-menu and the sub-menu.

As a sidenote, the icons of any wine-installed application currently end up in the "other" submenu. I suppose this can be fixed in this package too, since the following workaround works and is very similar to what Wei-Lun Chao did for the games-menus.

cd $HOME/.config/menus
ln -s applications-merged mate-applications-merged

with this workaround icons are moved in the proper submenu under the "wine menu". Which in turn, incidentally just reappeared with the installation of mate-menus-1.6.0-6.fc20.

Comment 10 Wolfgang Ulbrich 2014-06-21 22:38:04 UTC
Davide, pls can you give me a favor and do a test for me and edit
/etc/xdg/menus/mate-applications.menu
At the end of the file add those line
MergeFile>applications-merged/games-categories.menu</MergeFile>

It should be looked like this

  <!-- Other -->
  <Menu>
    <Name>Other</Name>
    <Directory>mate-other.directory</Directory>
    <OnlyUnallocated/>
    <Include>
      <And>
        <Not><Category>Core</Category></Not>
        <Not><Category>Settings</Category></Not>
        <Not><Category>Screensaver</Category></Not>
      </And>
    </Include>
  </Menu> <!-- End Other -->
  <MergeFile>applications-merged/multimedia-categories.menu</MergeFile>
  <MergeFile>applications-merged/games-categories.menu</MergeFile>

Normaly i don't install games on my systems, but with that entry the game 'billard' displays only in subcategory 'simulations'.
Can you confirm this for other games?

@ wine
i don't see any wine package for submenus ?

Sorry, i'm not very firm with wine....i hate installing i386 packages on a x86_64 system ;)

Comment 11 Wolfgang Ulbrich 2014-06-21 22:47:10 UTC
Ahh, got it
wine-desktop package provide wine.menu.
Add this line too
  <MergeFile>applications-merged/wine.menu</MergeFile>

Comment 12 Davide Repetto 2014-06-22 10:00:25 UTC
Wolfgang, with the modifications you suggested the games menu now works correctly.
There is still a problem with wine though, as mate ignores the user-specific "applications-merged" directory in "$HOME/.config/menus" where wine puts its submenus for user-installed windows programs.

This workaround is what I use:

cd $HOME/.config/menus
ln -s applications-merged mate-applications-merged



> Sorry, i'm not very firm with wine....i hate installing i386 packages
> on a x86_64 system ;)

I feel you, man! :)

Comment 13 Wolfgang Ulbrich 2014-06-22 16:22:40 UTC
Thanks Davide for testing.
I will push out a new build with the changes for games-menu and wine-menu.
I'd expected that it works in the same way with wine-menu...
It could be possible that wine applications doesn't follow freedesktop
specification.
For example, the category entry of the desktop file of the 'billards' game looks like this.

Categories=Game;Simulation;

Means, it displayed first in games and if sub categories are enabled it displays in Simulations.

Maybe the cathegories in desktop files of wine apps aren't correct.
This should be checked.
Anyway, i will look into it if i have a bit more free time.

Comment 14 Fedora Update System 2014-06-22 19:10:02 UTC
mate-menus-1.6.0-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-menus-1.6.0-7.fc20

Comment 15 Fedora Update System 2014-06-22 19:10:11 UTC
mate-menus-1.6.0-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-menus-1.6.0-7.fc19

Comment 16 Davide Repetto 2014-06-23 13:17:16 UTC
Dear Wolfgang,
I tested the new builds and they are ok, though they do not yet fix it all.
But I think we're (YOU are, actually...) a fraction of an inch close to solving the whole conundrum.

Now almost everything works except MATE still completely ignores the user applications-merged directory which I think is part of the XDG specs.
The directory is located in: $HOME/.config/menus


BTW. It may be useful to also investigate if there are any other xdg-specified places that are currently ignored that may be added to mate.

Comment 17 Wolfgang Ulbrich 2014-06-23 14:42:11 UTC
(In reply to Davide Repetto from comment #16)
> Dear Wolfgang,
> I tested the new builds and they are ok, though they do not yet fix it all.
> But I think we're (YOU are, actually...) a fraction of an inch close to
> solving the whole conundrum.
> 
> Now almost everything works except MATE still completely ignores the user
> applications-merged directory which I think is part of the XDG specs.
> The directory is located in: $HOME/.config/menus
I'm not shure, but i think this is a result of the renaming of apps and files from gnome to mate.
I think xdg expected /etc/xdg/menus/application.menu which is part of gnome-menus.
mate-menus provide /etc/xdg/menus/mate-application.menu
So i think that we have to live with my "workaround"
> 
> 
> BTW. It may be useful to also investigate if there are any other
> xdg-specified places that are currently ignored that may be added to mate.
Yeah, i can add them too

@wine
I've installed wine-64 and wine-desktop (+160 dependencies) yesterday in a VM.
Here all wine applications displayed under the wine menu, except 'winemine' wich displayed in a sub category of the games-menu.
This looks Ok for me.

Comment 18 Davide Repetto 2014-06-23 18:22:05 UTC
>> applications-merged directory which I think is part of the XDG specs.
>> The directory is located in: $HOME/.config/menus
>I'm not shure, but i think this is a result of the renaming of apps and files
>from gnome to mate.
>I think xdg expected /etc/xdg/menus/application.menu which is part of gnome-
>menus.
>mate-menus provide /etc/xdg/menus/mate-application.menu
>So i think that we have to live with my "workaround"

You seem to be referring to stuff in /etc/ while the problem I speak about really is about the folder $HOME/.config/menus/applications-merged (in the user home directory) which MATE is ignoring, while it probably should fetch and merge its content.


> @wine
>I've installed wine-64 and wine-desktop (+160 dependencies) yesterday in a VM.
> Here all wine applications displayed under the wine menu, except 'winemine'
>wich displayed in a sub category of the games-menu.
> This looks Ok for me.

If you try and install a windows program (eg. this one: http://downloads.sourceforge.net/sevenzip/7z920.exe) then wine will install the program own menus and you'll see the menu entries appear in the wrong place.

Comment 19 Fedora Update System 2014-06-24 23:21:41 UTC
mate-menus-1.6.0-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Davide Repetto 2014-06-25 13:33:24 UTC
just pinging back since the bug has been auto-closed, to remind about the (small) remaing issue as described in comment 18.

Comment 21 Wolfgang Ulbrich 2014-06-25 13:52:30 UTC
(In reply to Davide Repetto from comment #20)
> just pinging back since the bug has been auto-closed, to remind about the
> (small) remaing issue as described in comment 18.

But this has nothing to do with the topic of this issue.
Really the best would be if you filed out a bugreport directly at upstream.

Comment 22 Davide Repetto 2014-06-25 15:44:31 UTC
I don't understand. Really. To me it seems the very same bug.

In the beginning mate-menus where ignoring /etc/xdg/menus/applications-merged completely.
Then with first fix you published (in comment 7) mate-menus was made aware of /etc/xdg/menus/applications-merged. Wasn't it?

Now, provided that it is, why can't a most similar fix make mate-menus aware of .config/menus/applications-merged in the local user configuration too?


Undestand me.
I could "not care" and carry on with my business. After all the workaround is trivial.
I would also be more than happy to take it upstream as you suggest. No sweat!

But I really yearn to understand why.
Why can it be done for the former, and not for the latter?
Aren't they kind of the same?

Comment 23 Wolfgang Ulbrich 2014-06-25 16:09:55 UTC
Why?
Because 'games-menus not displayed under mate' is fixed.
If you see a issue with mate-menus that xdg directories doesn't reflected than it's better to file out another rhbz report which reflected the new issue in his topic.
But honestly i don't know how to fix it, i'm only a network admin but not a software developer, so it's better to file out a report directly at upstream instead of giving me unecessary work to forward a rhbz report to upstream.

PS: currently mate in fedora is a one man show, so i'm happy about every user who have a github account for filing bugs directly at upstream.
Thank you

Comment 24 Davide Repetto 2014-06-25 16:23:50 UTC
ok Wolfgang, fair enough. :)
I'm moving it upstream.

Also let me apologize for being insistent, thing is, I thought -you- where the one who made the corrections within mate-menus-1.6.0-6.fc20.
That's why I didn't understand...

Thank you very much, Wolfgang, for your work here. It's much appreciated.

Comment 25 Fedora Update System 2014-07-03 04:10:35 UTC
mate-menus-1.6.0-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Michael Cronenworth 2014-07-03 13:46:58 UTC
*** Bug 1097456 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.